We help IT Professionals succeed at work.

NAS (Iomega) firmware/OS update

Chuck Lowe
Chuck Lowe asked
on
I have an old (not that old NAS. IOMEGA StorCenter PX4-300D. It's a 4 bay and I have 4 4-TB drives in it.
I bought it a few years back (actually like 8 years) and never used it. I initially initialized and formatted the drives when I bought it but as I said never used it. It's in perfect working condition. The issue is it's obsolete on their website and I can't find the latest firmware update. My question is do I use it as is or can I wipe out the OS on it and use something like Open Media Vault, FreeNas, etc? If so how do I go about doing that? and how do I get any compatible firm ware updates?

Any help is appreciated.

I'm not sure if I want to use it for home (personal) or business use.
Comment
Watch Question

CERTIFIED EXPERT

Commented:
The latest firmware (4.1.412.34888) dated 12/11/2019 can be downloaded here - https://download.lenovo.com/lenovoemc/na/en/app/answers/detail/a_id/27363.html

Additional downloads and product information (FAQ's etc) can be found here - https://download.lenovo.com/lenovoemc/na/en/app/cust_alp/p/1189%2c1191.html
CERTIFIED EXPERT

Commented:
NOTE:

Your px4-300d should be running version 4.0.2.9960 or above before updating to version 4.1.412.34888. If your px4-300d is running version 3.2.3.9273 through 3.2.3.15290, you can update using px4px6-4.0.2.9960.tgz and then update to 4.1.412.34888.

If your px4-300d is running a version lower than 3.2.3.9273, you need to upgrade using px4px6-NOBRAND-3.2.3.15290.tgz , and then update to 4.0.2.9960 before updating to 4.1.412.34888.

Author

Commented:
@kenfcamp
Thanks so much.

I actually wnet on their website and asked the same question and they stated since it was an obsolete product there was no information on it.

Perhaps I should of dug deeper.

Thanks and I'll get back to you with my results.
CERTIFIED EXPERT
Commented:
No problem,

I'll cross my fingers for you

Just take heed of the upgrade version requirements in my second post and you should be fine

Ken

Author

Commented:
@Kenfcamp.
Thanks. That worked. I was on a 4. something version so I only had to install the latest version.
Much appreciate it!
CERTIFIED EXPERT

Commented:
That's great news Chuck.

I'm sure you did the "Snoopy Dance" when all was said and done.

I know I would have ;-)

Ken